Package: org.codehaus.groovy.transform

## [Java] Class ASTTransformationCollectorCodeVisitor

- org.codehaus.groovy.transform.ASTTransformationCollectorCodeVisitor

-     public class ASTTransformationCollectorCodeVisitor
      extends ClassCodeVisitorSupport

  Walks the AST and collects references to annotations that are annotated themselves by GroovyASTTransformation. Each such annotation is added.

  This visitor is only intended to be executed once, during the CompilePhase.SEMANTIC_ANALYSIS phase of compilation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTransformationCollectorCodeVisitor(SourceUnit source, GroovyClassLoader transformLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public void` | `visitAnnotations(AnnotatedNode node)`
    `` | `public void` | `visitClass(ClassNode classNode)`
    `` | `protected void` | `visitStatementAnnotations(Statement statement)` Collects AST transforms from statement-level annotations (e.g. annotations placed directly on `for`/`while`/`do-while` loop statements).

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitStatementAnnotations, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop, visitYieldStatement`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSwitchExpression, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop, visitYieldStatement`

- - ### Constructor Detail

    - #### public ASTTransformationCollectorCodeVisitor(SourceUnit source, GroovyClassLoader transformLoader)

  - ### Method Detail

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitAnnotations(AnnotatedNode node)

    - #### public void visitClass(ClassNode classNode)

    - #### protected void visitStatementAnnotations(Statement statement)

      Collects AST transforms from statement-level annotations (e.g. annotations placed directly on `for`/`while`/`do-while` loop statements).